Bug 1063642 (CVE-2014-0059) - CVE-2014-0059 JBossSX/PicketBox: World readable audit.log file
Summary: CVE-2014-0059 JBossSX/PicketBox: World readable audit.log file
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0059
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1101695 1063646 1063649 1063650 1101674 1101675 1101676 1101677 1101678 1101679 1101680 1101684 1101685 1101686 1101687 1101688 1101692 1101693 1101694 1101696
Blocks: 1082938 1093889 1139455 1200191 1210482
TreeView+ depends on / blocked
 
Reported: 2014-02-11 07:39 UTC by Arun Babu Neelicattu
Modified: 2019-09-29 13:13 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the security auditing functionality provided by PicketBox and JBossSX, both security frameworks for Java applications, used a world-readable audit.log file to record sensitive information. A local user could possibly use this flaw to gain access to the sensitive information in the audit.log file.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:31:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0563 normal SHIPPED_LIVE Low: Red Hat JBoss Enterprise Application Platform 6.2.3 update 2014-05-28 03:50:02 UTC
Red Hat Product Errata RHSA-2014:0564 normal SHIPPED_LIVE Low: Red Hat JBoss Enterprise Application Platform 6.2.3 update 2014-05-28 04:01:31 UTC
Red Hat Product Errata RHSA-2014:0565 normal SHIPPED_LIVE Low: Red Hat JBoss Enterprise Application Platform 6.2.3 update 2014-05-28 03:49:56 UTC
Red Hat Product Errata RHSA-2014:0895 normal SHIPPED_LIVE Moderate: Red Hat JBoss Data Grid 6.3.0 update 2014-07-16 21:12:23 UTC
Red Hat Product Errata RHSA-2014:1904 normal SHIPPED_LIVE Important: Red Hat JBoss Operations Network 3.3.0 update 2014-11-25 21:48:32 UTC
Red Hat Product Errata RHSA-2015:0675 normal SHIPPED_LIVE Important: Red Hat JBoss Data Virtualization 6.1.0 update 2015-03-11 20:51:21 UTC
Red Hat Product Errata RHSA-2015:0850 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 6.1.0 update 2015-04-16 20:02:45 UTC
Red Hat Product Errata RHSA-2015:0851 normal SHIPPED_LIVE Important: Red Hat JBoss BPM Suite 6.1.0 update 2015-04-16 20:02:37 UTC
Red Hat Product Errata RHSA-2015:1009 normal SHIPPED_LIVE Important: Red Hat JBoss Portal 6.2.0 update 2015-05-14 19:14:47 UTC

Description Arun Babu Neelicattu 2014-02-11 07:39:18 UTC
It was identified that security auditing provided by JBossSX/PicketBox logged sensitive information into a world readable audit.log file. This information could be used by a local attacker to gain otherwise protected information about user sessions etc.

Comment 5 errata-xmlrpc 2014-05-27 23:51:31 UTC
This issue has been addressed in following products:

  Red Hat JBoss Enterprise Application Platform 6.2.3

Via RHSA-2014:0565 https://rhn.redhat.com/errata/RHSA-2014-0565.html

Comment 6 errata-xmlrpc 2014-05-27 23:51:44 UTC
This issue has been addressed in following products:

  JBEAP 6.2 for RHEL 6

Via RHSA-2014:0563 https://rhn.redhat.com/errata/RHSA-2014-0563.html

Comment 7 errata-xmlrpc 2014-05-28 00:03:06 UTC
This issue has been addressed in following products:

  JBEAP 6.2 for RHEL 5

Via RHSA-2014:0564 https://rhn.redhat.com/errata/RHSA-2014-0564.html

Comment 8 errata-xmlrpc 2014-07-16 17:12:53 UTC
This issue has been addressed in following products:

  JBoss Data Grid 6.3.0

Via RHSA-2014:0895 https://rhn.redhat.com/errata/RHSA-2014-0895.html

Comment 9 Martin Prpič 2014-07-17 14:34:38 UTC
IssueDescription:

It was found that the security auditing functionality provided by PicketBox and JBossSX, both security frameworks for Java applications, used a world-readable audit.log file to record sensitive information. A local user could possibly use this flaw to gain access to the sensitive information in the audit.log file.

Comment 10 errata-xmlrpc 2014-11-25 16:48:45 UTC
This issue has been addressed in the following products:

  JBoss Operations Network 3.3.0

Via RHSA-2014:1904 https://rhn.redhat.com/errata/RHSA-2014-1904.html

Comment 12 errata-xmlrpc 2015-03-11 16:52:08 UTC
This issue has been addressed in the following products:

JBoss Data Virtualization 6.1.0

Via RHSA-2015:0675 https://rhn.redhat.com/errata/RHSA-2015-0675.html

Comment 13 errata-xmlrpc 2015-04-16 16:04:10 UTC
This issue has been addressed in the following products:

  JBoss BPM Suite 6.1.0

Via RHSA-2015:0851 https://rhn.redhat.com/errata/RHSA-2015-0851.html

Comment 14 errata-xmlrpc 2015-04-16 16:08:44 UTC
This issue has been addressed in the following products:

  JBoss BRMS 6.1.0

Via RHSA-2015:0850 https://rhn.redhat.com/errata/RHSA-2015-0850.html

Comment 15 errata-xmlrpc 2015-05-14 15:15:55 UTC
This issue has been addressed in the following products:

  JBoss Portal 6.2.0

Via RHSA-2015:1009 https://rhn.redhat.com/errata/RHSA-2015-1009.html


Note You need to log in before you can comment on or make changes to this bug.